Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: Kalle Valo <[email-masked]>
Date: Sat, 24 Dec 2011 03:29:35 +0200

On 12/23/2011 10:50 PM, Michal Marek wrote:
>> But I wonder why you need to link all the object files twice? Usually,
>> > drivers have a foo_common.ko and foo_{usb,pci,whatever}.ko that provide
>> > the pci/usb/whatever driver.
>
> Another option is to build both drivers in a single module. Or, as a
> band-aid, make the two drivers module-only, by adding 'depends on m' to
> their Kconfig entries.

I'll send the band-aid to John first and remove it once I have created
the ath6kl core module.

Thanks for the help.

Kalle